package com.framsticks.communication;

import com.framsticks.params.SourceInterface;

/**
 * @author Piotr Sniegowski
 */
public final class File {
    protected final String path;
    protected final SourceInterface content;

    public File(String path, SourceInterface content) {
        this.path = path;
        this.content = content;
    }

    public String getPath() {
        return path;
    }

    public SourceInterface getContent() {
        return content;
    }
}
