package com.framsticks.core;

import com.framsticks.params.types.CompositeParam;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Piotr Sniegowski
 */
public class Node {

    protected final CompositeParam param;
    protected final Object object;
    //protected final Map<String, Node> children = new HashMap<String, Node>();

    public Node() {
        param = null;
        object = null;
    }

    public Node(CompositeParam param, Object object) {
        assert param != null;
        this.param = param;
        this.object = object;
    }

    public final CompositeParam getParam() {
        return param;
    }

    public final Object getObject() {
        return object;
    }

}
