package com.framsticks.model;

import com.framsticks.util.Point3d;

/**
 * The Class Joint.
 *
 * All accessors are used by ReflectionAccess.
 */
public class Joint {

	public void setP1(Integer p1) { part1 = p1; }
	public Integer getP1() { return part1; }
	public void setP2(Integer p2) { part2 = p2; }
	public Integer getP2() { return part2; }

	public void setDx(Double dx) { delta.x = dx; }
	public void setDy(Double dy) { delta.y = dy; }
	public void setDz(Double dz) { delta.z = dz; }

	public Double getDx() { return delta.x; }
	public Double getDy() { return delta.y; }
	public Double getDz() { return delta.z; }

	public void setRx(Double rx) { rotation.x = rx; }
	public void setRy(Double ry) { rotation.y = ry; }
	public void setRz(Double rz) { rotation.z = rz; }

	public Double getRx() { return rotation.x; }
	public Double getRy() { return rotation.y; }
	public Double getRz() { return rotation.z; }	

	public Double getStam() { return stamina; }
	public void setStam(Double stam) { stamina = stam; }

	public Double getStif() { return stiffness; }
	public void setStif(Double stif) { stiffness = stif; }

	public Double getRotstif() { return rotationStiffness; }
	public void setRotstif(Double rotstif) { rotationStiffness = rotstif; }

	public String getI() { return info; }
	public void setI(String i) { info = i; }

	public String getVstyle() { return visualizationStyle; }
	public void setVstyle(String Vstyle) { visualizationStyle = Vstyle; }

	/** p1 */
	public Integer part1;

	/** p2 */
	public Integer part2;

	/** dx, dy, dz*/
	public final Point3d delta = new Point3d();

	/** rx, ry, rz*/
	public final Point3d rotation = new Point3d();

	/** stam */
	public Double stamina;

	/** stif */
	public Double stiffness;

	/** rotstif */
	public Double rotationStiffness;

	/** i */
	public String info;

	/** Vstyle */
	public String visualizationStyle;


}
