package com.framsticks.model;


import com.framsticks.util.Point3d;

/**
 * The Class Part.
 */
public class Part {

	/** x, y, z*/
	public final Point3d position = new Point3d();

	/** rx, ry, rz*/
	public final Point3d rotation = new Point3d();

	/** m */
	public Double mass;

	/** s */
	public Double size;

	/** dn */
	public Double density;

	/** fr */
	public Double friction;

	/** ing */
	public Double ingestion;

	/** as */
	public Double assimilation;

	/** i */
	public String info;

	/** Vstyle */
	public String visualizationStyle;

	public Double getX() { return position.x; }
	public void setX(Double x) { position.x = x; }

	public Double getY() { return position.y; }
	public void setY(Double y) { position.y = y; }

	public Double getZ() { return position.z; }
	public void setZ(Double z) { position.z = z; }

	public Double getM() { return mass; }
	public void setM(Double m) { mass = m; }

	public Double getS() { return size; }
	public void setS(Double s) { size = s; }

	public Double getDn() { return density; }
	public void setDn(Double dn) { density = dn; }

	public Double getFr() { return friction; }
	public void setFr(Double fr) { friction = fr; }

	public Double getIng() { return ingestion; }
	public void setIng(Double ing) { ingestion = ing; }

	public Double getAs() { return assimilation; }
	public void setAs(Double as) { assimilation = as; }

	public Double getRx() { return rotation.x; }
	public void setRx(Double rx) { rotation.x = rx; }

	public Double getRy() { return rotation.y; }
	public void setRy(Double ry) { rotation.y = ry; }

	public Double getRz() { return rotation.z; }
	public void setRz(Double rz) { rotation.z = rz; }

	public String getI() { return info; }
	public void setI(String i) { info = i; }

	public String getVstyle() { return visualizationStyle; }
	public void setVstyle(String vstyle) { visualizationStyle = vstyle; }

}
