package com.framsticks.util;

/**
 * @author Piotr Sniegowski
 */
public class AtOnceDispatcher implements Dispatcher {

    public static final AtOnceDispatcher instance = new AtOnceDispatcher();

    @Override
    public final boolean isActive() {
        return true;
    }

    @Override
    public final void invokeLater(Runnable runnable) {
        runnable.run();
    }
}
