package com.framsticks.util;

/**
 * @author Piotr Sniegowski
 */
public abstract class Task implements Runnable {

    protected final long moment;

    public Task() {
        moment = System.currentTimeMillis();
    }

    public Task(long moment) {
        this.moment = moment;
    }

    public final long getMoment() {
        return moment;
    }

}
