package com.framsticks.communication;

import com.framsticks.util.StateFunctor;

/**
 * @author Piotr Sniegowski
 */
public abstract class StateCallback implements ResponseCallback, StateFunctor {
	@Override
	public void process(Response response) {
		call(response.getOk() ? null : new Exception(response.getComment()));
	}
}
