package com.framsticks.leftovers;

/**
 * Class stores information about user favourite node or field.
 */
public class UserFavourite {

	/**
	 * Name of node/field.
	 */
	private String name;
	/**
	 * Path to node/field.
	 */
	private String path;
	/**
	 * Field name - property getId or group name if node is group;
	 */
	private String fieldId = null;

	public UserFavourite(String path, String name, String fieldId) {
		this.path = path;
		this.name = name;
		this.fieldId = fieldId;
	}

	public String getPath() {
		return path;
	}

	public String getName() {
		return name;
	}

	public String getField() {
		return fieldId;
	}
}
