package com.framsticks.model;

import com.framsticks.util.Point3d;

/**
 * @author Piotr Sniegowski
 */
public class MechJoint {
	/** rx, ry, rz*/
	public final Point3d rotation = new Point3d();

	/** dx, dy, dz*/
	public final Point3d delta = new Point3d();

	/** stif */
	public Double stiffness;

	/** rotstif */
	public Double rotationStiffness;

	/** stress */
	public Double stress;

	/** rotstress */
	public Double rotationStress;

	public Double getRx() { return rotation.x; }
	public void setRx(Double rx) { rotation.x = rx; }

	public Double getRy() { return rotation.y; }
	public void setRy(Double ry) { rotation.y = ry; }

	public Double getRz() { return rotation.z; }
	public void setRz(Double rz) { rotation.z = rz; }

	public Double getDx() { return delta.x; }
	public void setDx(Double dx) { delta.x = dx; }

	public Double getDy() { return delta.y; }
	public void setDy(Double dy) { delta.y = dy; }

	public Double getDz() { return delta.z; }
	public void setDz(Double dz) { delta.z = dz; }

	public Double getStif() { return stiffness; }
	public void setStif(Double stif) { stiffness = stif; }

	public Double getRotstif() { return rotationStiffness; }
	public void setRotstif(Double rotstif) { rotationStiffness = rotstif; }

	public Double getStress() { return stress; }
	public void setStress(Double stress) { this.stress = stress; }

	public Double getRotstress() { return rotationStress; }
	public void setRotstress(Double rotstress) { rotationStress = rotstress; }

}
