package com.framsticks.model;

import com.framsticks.util.Orientation;
import com.framsticks.util.Point3d;

/*
 */
public class MechPart {

	/** x, y, z */
	public final Point3d position = new Point3d();

	/** m */
	public Double mass = 0.0;

	/** s */
	public Double size = 0.0;

	/** vol */
	public Double volume = 0.0;

	/** fr */
	public Double friction = 0.0;

	/** vx, vy, vz */
	public final Point3d velocity = new Point3d();

    /** oxx, oxy, oxz, oyx, oyy, oyz, ozx, ozy, ozz*/
    public final Orientation orientation = new Orientation();

	public Double getX() { return position.x; }
	public void setX(Double x) { position.x = x; }

	public Double getY() { return position.y; }
	public void setY(Double y) { position.y = y; }

	public Double getZ() { return position.z; }
	public void setZ(Double z) { position.z = z; }

	public Double getM() { return mass; }
	public void setM(Double m) { mass = m; }

	public Double getS() { return size; }
	public void setS(Double s) { size = s; }

	public Double getVol() { return volume; }
	public void setVol(Double vol) { volume = vol; }

	public Double getFr() { return friction; }
	public void setFr(Double fr) { friction = fr; }

	public Double getVx() { return velocity.x; }
	public void setVx(Double vx) { velocity.x = vx; }

	public Double getVy() { return velocity.y; }
	public void setVy(Double vy) { velocity.y = vy; }

	public Double getVz() { return velocity.z; }
	public void setVz(Double vz) { velocity.z = vz; }

	public Double getOxx() { return orientation.x.x; }
	public void setOxx(Double oxx) { orientation.x.x = oxx; }

	public Double getOxy() { return orientation.x.y; }
	public void setOxy(Double oxy) { orientation.x.y = oxy; }

	public Double getOxz() { return orientation.x.z; }
	public void setOxz(Double oxz) { orientation.x.z = oxz; }

	public Double getOyx() { return orientation.y.x; }
	public void setOyx(Double oyx) { orientation.y.x = oyx; }

	public Double getOyy() { return orientation.y.y; }
	public void setOyy(Double oyy) { orientation.y.y = oyy; }

	public Double getOyz() { return orientation.y.z; }
	public void setOyz(Double oyz) { orientation.y.z = oyz; }

	public Double getOzx() { return orientation.z.x; }
	public void setOzx(Double ozx) { orientation.z.x = ozx; }

	public Double getOzy() { return orientation.z.y; }
	public void setOzy(Double ozy) { orientation.z.y = ozy; }

	public Double getOzz() { return orientation.z.z; }
	public void setOzz(Double ozz) { orientation.z.z = ozz; }

}
