package com.framsticks.params.types;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Piotr Sniegowski
 */
public class EnumParam extends DecimalParam {

	ArrayList<String> enums;

	/**
	 * This constructor exists because EnumParam is different package than ParamBuilder.
	 *
	 * @param enums
	 */
	public EnumParam(ArrayList<String> enums) {
		assert(enums != null);
		this.enums = enums;
	}

	public List<String> getElements() {
		return enums;
	}



}
