package com.framsticks.util;

import java.util.Iterator;

/**
 * @author Piotr Sniegowski
 */
public class Iterators {
	public static String resolve(Iterator iterator, String separator) {
		StringBuilder b = new StringBuilder();
		boolean following = false;
		while (iterator.hasNext()) {
			if (following) {
				b.append(separator);
			} else {
				following = true;
			}
			b.append(iterator.next());
		}
		return b.toString();
	}
}
